Skip to content
Browse files

changed to use plain gemspec via bundler instead of Jeweler

  • Loading branch information...
1 parent e8ae01c commit e4887726697199cedfd8730927bf5fe33404cec6 @pelle pelle committed Nov 29, 2010
Showing with 21 additions and 223 deletions.
  1. +2 −0 .gitignore
  2. +4 −0 Gemfile
  3. +2 −43 Rakefile
  4. BIN lib/oauth-plugin/.version.rb.swp
  5. +5 −0 lib/oauth-plugin/version.rb
  6. +8 −180 oauth-plugin.gemspec
View
2 .gitignore
@@ -3,3 +3,5 @@ pkg
*.log
.DS_Store
.svn
+*.gem
+.bundle
View
4 Gemfile
@@ -0,0 +1,4 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in oauth-plugin.gemspec
+gemspec
View
45 Rakefile
@@ -1,43 +1,2 @@
-require 'rake'
-require 'rake/testtask'
-require 'rake/rdoctask'
-
-desc 'Default: run unit tests.'
-task :default => :test
-
-desc 'Test the oauth plugin.'
-Rake::TestTask.new(:test) do |t|
- t.libs << 'lib'
- t.pattern = 'test/**/*_test.rb'
- t.verbose = true
-end
-
-desc 'Generate documentation for the oauth plugin.'
-Rake::RDocTask.new(:rdoc) do |rdoc|
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = 'OAuth Plugin'
- rdoc.options << '--line-numbers' << '--inline-source'
- rdoc.rdoc_files.include('README')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gemspec|
- gemspec.name = "oauth-plugin"
- gemspec.summary = "Ruby on Rails Plugin for OAuth Provider and Consumer"
- gemspec.description = "Rails plugin for implementing an OAuth Provider or Consumer"
- gemspec.email = "oauth-ruby@googlegroups.com"
- gemspec.homepage = "http://github.com/pelle/oauth-plugin"
- gemspec.authors = ["Pelle Braendgaard"]
- gemspec.add_dependency('oauth', '>= 0.4.4')
- gemspec.rubyforge_project = 'oauth'
- end
-
- Jeweler::RubyforgeTasks.new do |rubyforge|
- rubyforge.doc_task = "rdoc"
- end
-
-rescue LoadError
- puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
-end
+require 'bundler'
+Bundler::GemHelper.install_tasks
View
BIN lib/oauth-plugin/.version.rb.swp
Binary file not shown.
View
5 lib/oauth-plugin/version.rb
@@ -0,0 +1,5 @@
+module Oauth
+ module Plugin
+ VERSION = "0.4.0.pre2"
+ end
+end
View
188 oauth-plugin.gemspec
@@ -1,11 +1,10 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "oauth-plugin/version"
Gem::Specification.new do |s|
s.name = %q{oauth-plugin}
- s.version = "0.4.0.pre2"
+ s.version = Oauth::Plugin::VERSION
s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Pelle Braendgaard"]
@@ -15,187 +14,16 @@ Gem::Specification.new do |s|
s.extra_rdoc_files = [
"README.rdoc"
]
- s.files = [
- "CHANGELOG",
- "MIT-LICENSE",
- "README.rdoc",
- "Rakefile",
- "UPGRADE.rdoc",
- "VERSION",
- "generators/oauth_consumer/USAGE",
- "generators/oauth_consumer/oauth_consumer_generator.rb",
- "generators/oauth_consumer/templates/consumer_token.rb",
- "generators/oauth_consumer/templates/controller.rb",
- "generators/oauth_consumer/templates/index.html.erb",
- "generators/oauth_consumer/templates/index.html.haml",
- "generators/oauth_consumer/templates/migration.rb",
- "generators/oauth_consumer/templates/oauth_config.rb",
- "generators/oauth_consumer/templates/show.html.erb",
- "generators/oauth_consumer/templates/show.html.haml",
- "generators/oauth_provider/USAGE",
- "generators/oauth_provider/lib/insert_routes.rb",
- "generators/oauth_provider/oauth_provider_generator.rb",
- "generators/oauth_provider/templates/_form.html.erb",
- "generators/oauth_provider/templates/_form.html.haml",
- "generators/oauth_provider/templates/access_token.rb",
- "generators/oauth_provider/templates/authorize.html.erb",
- "generators/oauth_provider/templates/authorize.html.haml",
- "generators/oauth_provider/templates/authorize_failure.html.erb",
- "generators/oauth_provider/templates/authorize_failure.html.haml",
- "generators/oauth_provider/templates/authorize_success.html.erb",
- "generators/oauth_provider/templates/authorize_success.html.haml",
- "generators/oauth_provider/templates/client_application.rb",
- "generators/oauth_provider/templates/client_application_spec.rb",
- "generators/oauth_provider/templates/client_application_test.rb",
- "generators/oauth_provider/templates/client_applications.yml",
- "generators/oauth_provider/templates/clients_controller.rb",
- "generators/oauth_provider/templates/clients_controller_spec.rb",
- "generators/oauth_provider/templates/clients_controller_test.rb",
- "generators/oauth_provider/templates/controller.rb",
- "generators/oauth_provider/templates/controller_spec.rb",
- "generators/oauth_provider/templates/controller_spec_helper.rb",
- "generators/oauth_provider/templates/controller_test.rb",
- "generators/oauth_provider/templates/controller_test_helper.rb",
- "generators/oauth_provider/templates/edit.html.erb",
- "generators/oauth_provider/templates/edit.html.haml",
- "generators/oauth_provider/templates/index.html.erb",
- "generators/oauth_provider/templates/index.html.haml",
- "generators/oauth_provider/templates/migration.rb",
- "generators/oauth_provider/templates/new.html.erb",
- "generators/oauth_provider/templates/new.html.haml",
- "generators/oauth_provider/templates/oauth2_authorize.html.erb",
- "generators/oauth_provider/templates/oauth2_authorize.html.haml",
- "generators/oauth_provider/templates/oauth2_token.rb",
- "generators/oauth_provider/templates/oauth2_token_spec.rb",
- "generators/oauth_provider/templates/oauth2_verifier.rb",
- "generators/oauth_provider/templates/oauth2_verifier_spec.rb",
- "generators/oauth_provider/templates/oauth_nonce.rb",
- "generators/oauth_provider/templates/oauth_nonce_spec.rb",
- "generators/oauth_provider/templates/oauth_nonce_test.rb",
- "generators/oauth_provider/templates/oauth_nonces.yml",
- "generators/oauth_provider/templates/oauth_token.rb",
- "generators/oauth_provider/templates/oauth_token_spec.rb",
- "generators/oauth_provider/templates/oauth_token_test.rb",
- "generators/oauth_provider/templates/oauth_tokens.yml",
- "generators/oauth_provider/templates/request_token.rb",
- "generators/oauth_provider/templates/show.html.erb",
- "generators/oauth_provider/templates/show.html.haml",
- "init.rb",
- "install.rb",
- "lib/generators/active_record/oauth_consumer_generator.rb",
- "lib/generators/active_record/oauth_consumer_templates/consumer_token.rb",
- "lib/generators/active_record/oauth_consumer_templates/migration.rb",
- "lib/generators/active_record/oauth_provider_generator.rb",
- "lib/generators/active_record/oauth_provider_templates/access_token.rb",
- "lib/generators/active_record/oauth_provider_templates/client_application.rb",
- "lib/generators/active_record/oauth_provider_templates/migration.rb",
- "lib/generators/active_record/oauth_provider_templates/oauth2_token.rb",
- "lib/generators/active_record/oauth_provider_templates/oauth2_verifier.rb",
- "lib/generators/active_record/oauth_provider_templates/oauth_nonce.rb",
- "lib/generators/active_record/oauth_provider_templates/oauth_token.rb",
- "lib/generators/active_record/oauth_provider_templates/request_token.rb",
- "lib/generators/erb/oauth_consumer_generator.rb",
- "lib/generators/erb/oauth_consumer_templates/index.html.erb",
- "lib/generators/erb/oauth_consumer_templates/show.html.erb",
- "lib/generators/erb/oauth_provider_generator.rb",
- "lib/generators/erb/oauth_provider_templates/_form.html.erb",
- "lib/generators/erb/oauth_provider_templates/authorize.html.erb",
- "lib/generators/erb/oauth_provider_templates/authorize_failure.html.erb",
- "lib/generators/erb/oauth_provider_templates/authorize_success.html.erb",
- "lib/generators/erb/oauth_provider_templates/edit.html.erb",
- "lib/generators/erb/oauth_provider_templates/index.html.erb",
- "lib/generators/erb/oauth_provider_templates/new.html.erb",
- "lib/generators/erb/oauth_provider_templates/oauth2_authorize.html.erb",
- "lib/generators/erb/oauth_provider_templates/show.html.erb",
- "lib/generators/haml/oauth_consumer_generator.rb",
- "lib/generators/haml/oauth_consumer_templates/index.html.haml",
- "lib/generators/haml/oauth_consumer_templates/show.html.haml",
- "lib/generators/haml/oauth_provider_generator.rb",
- "lib/generators/haml/oauth_provider_templates/_form.html.haml",
- "lib/generators/haml/oauth_provider_templates/authorize.html.haml",
- "lib/generators/haml/oauth_provider_templates/authorize_failure.html.haml",
- "lib/generators/haml/oauth_provider_templates/authorize_success.html.haml",
- "lib/generators/haml/oauth_provider_templates/edit.html.haml",
- "lib/generators/haml/oauth_provider_templates/index.html.haml",
- "lib/generators/haml/oauth_provider_templates/new.html.haml",
- "lib/generators/haml/oauth_provider_templates/oauth2_authorize.html.haml",
- "lib/generators/haml/oauth_provider_templates/show.html.haml",
- "lib/generators/mongoid/oauth_consumer_generator.rb",
- "lib/generators/mongoid/oauth_consumer_templates/consumer_token.rb",
- "lib/generators/mongoid/oauth_provider_generator.rb",
- "lib/generators/mongoid/oauth_provider_templates/access_token.rb",
- "lib/generators/mongoid/oauth_provider_templates/client_application.rb",
- "lib/generators/mongoid/oauth_provider_templates/oauth2_token.rb",
- "lib/generators/mongoid/oauth_provider_templates/oauth2_verifier.rb",
- "lib/generators/mongoid/oauth_provider_templates/oauth_nonce.rb",
- "lib/generators/mongoid/oauth_provider_templates/oauth_token.rb",
- "lib/generators/mongoid/oauth_provider_templates/request_token.rb",
- "lib/generators/oauth_consumer/USAGE",
- "lib/generators/oauth_consumer/oauth_consumer_generator.rb",
- "lib/generators/oauth_consumer/templates/controller.rb",
- "lib/generators/oauth_consumer/templates/oauth_config.rb",
- "lib/generators/oauth_inflections.rb",
- "lib/generators/oauth_plugin.rb",
- "lib/generators/oauth_provider/USAGE",
- "lib/generators/oauth_provider/oauth_provider_generator.rb",
- "lib/generators/oauth_provider/templates/clients_controller.rb",
- "lib/generators/oauth_provider/templates/controller.rb",
- "lib/generators/rspec/oauth_provider_generator.rb",
- "lib/generators/rspec/templates/client_application_spec.rb",
- "lib/generators/rspec/templates/client_applications.yml",
- "lib/generators/rspec/templates/clients_controller_spec.rb",
- "lib/generators/rspec/templates/controller_spec.rb",
- "lib/generators/rspec/templates/controller_spec_helper.rb",
- "lib/generators/rspec/templates/oauth2_token_spec.rb",
- "lib/generators/rspec/templates/oauth2_verifier_spec.rb",
- "lib/generators/rspec/templates/oauth_nonce_spec.rb",
- "lib/generators/rspec/templates/oauth_nonces.yml",
- "lib/generators/rspec/templates/oauth_token_spec.rb",
- "lib/generators/rspec/templates/oauth_tokens.yml",
- "lib/generators/test_unit/oauth_provider_generator.rb",
- "lib/generators/test_unit/templates/client_application_test.rb",
- "lib/generators/test_unit/templates/client_applications.yml",
- "lib/generators/test_unit/templates/clients_controller_test.rb",
- "lib/generators/test_unit/templates/controller_test.rb",
- "lib/generators/test_unit/templates/controller_test_helper.rb",
- "lib/generators/test_unit/templates/oauth_nonce_test.rb",
- "lib/generators/test_unit/templates/oauth_nonces.yml",
- "lib/generators/test_unit/templates/oauth_token_test.rb",
- "lib/generators/test_unit/templates/oauth_tokens.yml",
- "lib/oauth-plugin.rb",
- "lib/oauth/controllers/application_controller_methods.rb",
- "lib/oauth/controllers/consumer_controller.rb",
- "lib/oauth/controllers/provider_controller.rb",
- "lib/oauth/models/consumers/service_loader.rb",
- "lib/oauth/models/consumers/services/agree2_token.rb",
- "lib/oauth/models/consumers/services/fireeagle_token.rb",
- "lib/oauth/models/consumers/services/google_token.rb",
- "lib/oauth/models/consumers/services/twitter_token.rb",
- "lib/oauth/models/consumers/simple_client.rb",
- "lib/oauth/models/consumers/token.rb",
- "lib/oauth/rack/oauth_filter.rb",
- "oauth-plugin.gemspec",
- "rails/init.rb",
- "tasks/oauth_tasks.rake",
- "uninstall.rb"
- ]
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+
s.homepage = %q{http://github.com/pelle/oauth-plugin}
s.require_paths = ["lib"]
s.rubyforge_project = %q{oauth}
s.rubygems_version = %q{1.3.7}
s.summary = %q{Ruby on Rails Plugin for OAuth Provider and Consumer}
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<oauth>, [">= 0.4.4"])
- else
- s.add_dependency(%q<oauth>, [">= 0.4.4"])
- end
- else
- s.add_dependency(%q<oauth>, [">= 0.4.4"])
- end
+ s.add_dependency(%q<oauth>, [">= 0.4.4"])
end

0 comments on commit e488772

Please sign in to comment.
Something went wrong with that request. Please try again.